"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isLogLevel = exports.LogLevels = void 0;
exports.LogLevels = ['debug', 'info', 'warn', 'error', 'profile'];
function isLogLevel(arg) {
    if (typeof arg !== "string") {
        return false;
    }
    for (const level of exports.LogLevels) {
        if (level === arg) {
            return true;
        }
    }
    return false;
}
exports.isLogLevel = isLogLevel;
//# sourceMappingURL=logger.js.map